Subject: bug#75555: Using Artanis from latest commit - artanis-next

From: Josep Bigorra <[email-masked]>
Date: Tue, 14 Jan 2025 10:23:55 +0100

Hi all, I want to help further in developing Artanis, but for me this
means doing it via Guix, as I find it important to provide first-class
Guix support for everyone.
As such, I notice that in Guix, the GNU Artanis is packages for stable versions.
However the Guix package needs for some reason the sources to be
bundled and uploaded to <https://ftp.gnu.org/gnu/artanis/>.

Attempting to tweak `artanis` guix package to use the tar.gz. from
Gitlab <https://gitlab.com/hardenedlinux/artanis> and latest commit
does not work (I think because the configure.ac needs to be converted
into configure via autoconf, but I am not experienced with these build
tools at all).

Could anyone help me in creating an artanis-next package so we could
use latest version in Guix, from source?
Regards, Joe